# Uses of Interface
net.shibboleth.profile.relyingparty.RelyingPartyConfigurationResolver

Packages that use RelyingPartyConfigurationResolver
Package
Description
net.shibboleth.profile.relyingparty
Shared RelyingPartyConfiguration and resolver APIs.
net.shibboleth.profile.relyingparty.impl
Implementation of relying party resolution.

## Uses of RelyingPartyConfigurationResolver in net.shibboleth.profile.relyingparty

Fields in net.shibboleth.profile.relyingparty with type parameters of type RelyingPartyConfigurationResolver
Modifier and Type
Field
Description
`private ReloadableService<RelyingPartyConfigurationResolver>`
RelyingPartyCredentialResolver.`service`
The reloading resolver which is the source of the credentials.
Constructor parameters in net.shibboleth.profile.relyingparty with type arguments of type RelyingPartyConfigurationResolver
Modifier
Constructor
Description
``
`RelyingPartyCredentialResolver(ReloadableService<RelyingPartyConfigurationResolver> resolverService)`
Constructor.

## Uses of RelyingPartyConfigurationResolver in net.shibboleth.profile.relyingparty.impl

Classes in net.shibboleth.profile.relyingparty.impl that implement RelyingPartyConfigurationResolver
Modifier and Type
Class
Description
`class`
`DefaultRelyingPartyConfigurationResolver`
Retrieves a per-relying party configuration for a given profile request based on the supplied `CriteriaSet`.
Fields in net.shibboleth.profile.relyingparty.impl with type parameters of type RelyingPartyConfigurationResolver
Modifier and Type
Field
Description
`private ReloadableService<RelyingPartyConfigurationResolver>`
BaseCriteriaRelyingPartyConfiigurationResolver.`rpcResolver`
The RelyingPartyConfigurationResolver to which to delegate.
Method parameters in net.shibboleth.profile.relyingparty.impl with type arguments of type RelyingPartyConfigurationResolver
Modifier and Type
Method
Description
`void`
BaseCriteriaRelyingPartyConfiigurationResolver.`setRelyingPartyConfigurationResolver(ReloadableService<RelyingPartyConfigurationResolver> resolver)`
Set the `RelyingPartyConfigurationResolver` instance to which to delegate.